Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.export
Class JRPdfExporterTagHelper

    java.lang.Object
      net.sf.jasperreports.engine.export.JRPdfExporterTagHelper

    public class JRPdfExporterTagHelper

extends java.lang.Object

Version:
  $Id: JRPdfExporterTagHelper.java 3941 2010-08-20 10:55:10Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Field Summary
`protected com.lowagie.text.pdf.PdfStructureElement` | `allTag`
`protected int` | `crosstabFrameDepth`
`protected int` | `crtCrosstabRowY`
`protected JRPdfExporter` | `exporter`
`protected boolean` | `isDataCellPrinted`
`protected boolean` | `isTagEmpty`
`protected boolean` | `isTagged`
`protected com.lowagie.text.pdf.PdfContentByte` | `pdfContentByte`
`protected com.lowagie.text.pdf.PdfWriter` | `pdfWriter`
`static java.lang.String` | `PROPERTY_TAG_COLSPAN`
`static java.lang.String` | `PROPERTY_TAG_H1`
`static java.lang.String` | `PROPERTY_TAG_H2`
`static java.lang.String` | `PROPERTY_TAG_H3`
`static java.lang.String` | `PROPERTY_TAG_ROWSPAN`
`static java.lang.String` | `PROPERTY_TAG_TABLE`
`static java.lang.String` | `PROPERTY_TAG_TD`
`static java.lang.String` | `PROPERTY_TAG_TH`
`static java.lang.String` | `PROPERTY_TAG_TR`
`static java.lang.String` | `TAG_END`
`static java.lang.String` | `TAG_FULL`
`static java.lang.String` | `TAG_START`
`protected java.util.Stack` | `tagStack`

Constructor Summary
`protected` | `JRPdfExporterTagHelper(JRPdfExporter exporter)`

Method Summary
`protected void` | `createEndTags(JRPrintElement element)`
`protected void` | `createSpanTags(JRPrintElement element, com.lowagie.text.pdf.PdfStructureElement parentTag)`
`protected void` | `createStartTags(JRPrintElement element)`
`protected void` | `createTableStartTag()`
`protected void` | `createTdStartTag(JRPrintElement element)`
`protected void` | `createThStartTag(JRPrintElement element)`
`protected void` | `createTrStartTag()`
`protected void` | `endElement(JRPrintElement element)`
`protected void` | `endImage()`
`protected void` | `endPage()`
`protected void` | `endPageAnchor()`
`protected void` | `endText()`
`protected void` | `init(com.lowagie.text.pdf.PdfContentByte pdfContentByte)`
`protected void` | `setPdfWriter(com.lowagie.text.pdf.PdfWriter pdfWriter)`
`protected void` | `setTagged(boolean isTagged)`
`protected void` | `startElement(JRPrintElement element)`
`protected void` | `startImage(JRPrintImage printImage)`
`protected void` | `startPage()`
`protected void` | `startPageAnchor()`
`protected void` | `startText()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROPERTY_TAG_TABLE

    public static final java.lang.String PROPERTY_TAG_TABLE

See Also:
  Constant Field Values

### PROPERTY_TAG_TR

    public static final java.lang.String PROPERTY_TAG_TR

See Also:
  Constant Field Values

### PROPERTY_TAG_TH

    public static final java.lang.String PROPERTY_TAG_TH

See Also:
  Constant Field Values

### PROPERTY_TAG_TD

    public static final java.lang.String PROPERTY_TAG_TD

See Also:
  Constant Field Values

### PROPERTY_TAG_H1

    public static final java.lang.String PROPERTY_TAG_H1

See Also:
  Constant Field Values

### PROPERTY_TAG_H2

    public static final java.lang.String PROPERTY_TAG_H2

See Also:
  Constant Field Values

### PROPERTY_TAG_H3

    public static final java.lang.String PROPERTY_TAG_H3

See Also:
  Constant Field Values

### PROPERTY_TAG_COLSPAN

    public static final java.lang.String PROPERTY_TAG_COLSPAN

See Also:
  Constant Field Values

### PROPERTY_TAG_ROWSPAN

    public static final java.lang.String PROPERTY_TAG_ROWSPAN

See Also:
  Constant Field Values

### TAG_START

    public static final java.lang.String TAG_START

See Also:
  Constant Field Values

### TAG_END

    public static final java.lang.String TAG_END

See Also:
  Constant Field Values

### TAG_FULL

    public static final java.lang.String TAG_FULL

See Also:
  Constant Field Values

### exporter

    protected JRPdfExporter exporter

### pdfContentByte

    protected com.lowagie.text.pdf.PdfContentByte pdfContentByte

### pdfWriter

    protected com.lowagie.text.pdf.PdfWriter pdfWriter

### allTag

    protected com.lowagie.text.pdf.PdfStructureElement allTag

### tagStack

    protected java.util.Stack tagStack

### isTagEmpty

    protected boolean isTagEmpty

### crtCrosstabRowY

    protected int crtCrosstabRowY

### crosstabFrameDepth

    protected int crosstabFrameDepth

### isDataCellPrinted

    protected boolean isDataCellPrinted

### isTagged

    protected boolean isTagged

Constructor Detail

### JRPdfExporterTagHelper

    protected JRPdfExporterTagHelper(JRPdfExporter exporter)

Method Detail

### setTagged

    protected void setTagged(boolean isTagged)

### setPdfWriter

    protected void setPdfWriter(com.lowagie.text.pdf.PdfWriter pdfWriter)

### init

    protected void init(com.lowagie.text.pdf.PdfContentByte pdfContentByte)

### startPageAnchor

    protected void startPageAnchor()

### endPageAnchor

    protected void endPageAnchor()

### startPage

    protected void startPage()

### endPage

    protected void endPage()

### startElement

    protected void startElement(JRPrintElement element)

### endElement

    protected void endElement(JRPrintElement element)

### startImage

    protected void startImage(JRPrintImage printImage)

### endImage

    protected void endImage()

### startText

    protected void startText()

### endText

    protected void endText()

### createStartTags

    protected void createStartTags(JRPrintElement element)

### createTableStartTag

    protected void createTableStartTag()

### createTrStartTag

    protected void createTrStartTag()

### createThStartTag

    protected void createThStartTag(JRPrintElement element)

### createTdStartTag

    protected void createTdStartTag(JRPrintElement element)

### createSpanTags

    protected void createSpanTags(JRPrintElement element,
                                  com.lowagie.text.pdf.PdfStructureElement parentTag)

### createEndTags

    protected void createEndTags(JRPrintElement element)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com